<?php

/**
 * @file
 * Generating a hash salt when not exists in .env file.
 */

use Drupal\Component\Utility\Crypt;

// File name.
$file = '.env';

// File contents.
$contents = file_get_contents($file);

// Search for hash salt key.
preg_match('/^HASH_SALT=.+$/m', $contents, $matches);

// If no key is specified, generate one automatically.
if (empty($matches)) {
  // Include the Drupal Crypt php class to generate a random hash salt.
  include './web/core/lib/Drupal/Component/Utility/Crypt.php';

  // Generate and place key.
  $string = preg_replace('/^HASH_SALT=/m', 'HASH_SALT=' . Crypt::randomBytesBase64(55), $contents);

  // Save the file.
  file_put_contents($file, $string);
}
